from datetime import datetime

# Sensor contains data related to a single sensor
class Sensor:
    def __init__(self, ID: int, type: enumerate, active: bool):
        self.ID = ID
        self.type = type
        self.active = active


# Measurement contains geo-data related to a single measurement point at a given time
class Measurement:
    def __init__(self, longitude: float, latitude: float, datetime: datetime, precipitation: float, thickness: float,
                  max_weight: float, safety_level: float, accuracy: float):
        self.longitude = longitude
        self.latitude = latitude
        self.datetime = datetime
        self.precipitation = precipitation
        self.thickness = thickness
        self.max_weight = max_weight
        self.safety_level = safety_level
        self.accuracy = accuracy

# MarkerTemplate is a template for map marker data. It includes an instance of the
# DataPoint type.
class MarkerTemplate:
    def __init__(self, geoData: Measurement, size: float, color: enumerate, radius: float):
        self.geoData = geoData 
        self.longitude = geoData.longitude
        self.latitude = geoData.latitude
        self.size = size
        self.color = color
        self.radius = radius

    def to_dict(self):
        return {
            'latitude': self.latitude,
            'longitude': self.longitude,
            'size': self.size,
            'color': self.color,
            'radius': self.radius
        }